<?php
//require __DIR__."./../phpJasperXML_2.0.1/autoload.php";
require_once("./../phpJasperXML_2.0.1/autoload.php");

use simitsdk\phpjasperxml\PHPJasperXML;

$filename = __DIR__."/devolucion_prepago.jrxml";

// read parameters
$id_derecho_Propietario = $_SESSION['id_derecho_Propietario'] ; 	// invoice identification to obtain

// Read record
$data = array();
$rs = DB::Query("

SELECT
  dp.id_derecho_Propietario,
  dp.fecha_devolucion,
  dp.total_bs,
  dp.total_bs_literal,
  dp.nro_Acciones_2,
  dp.nro_Titulo,
  CONCAT(
    s.apellido_Paterno,
    ' ',
    s.apellido_Materno,
    ' ',
    s.apellido_Casada,
    ' ',
    rtrim( s.nombres ),
    ' ',
    'con CI: ',
    s.ci,
    ' ',
    com.alias 
  ) AS accionistas,
  dp.estado_titulo,
  sta_rosa_users.fullname AS Responsable_dev ,
  
  CASE
		MONTH ( dp.fecha_Emision ) 
		WHEN 1 THEN
		'Enero' 
		WHEN 2 THEN
		'Febrero' 
		WHEN 3 THEN
		'Marzo' 
		WHEN 4 THEN
		'Abril' 
		WHEN 5 THEN
		'Mayo' 
		WHEN 6 THEN
		'Junio' 
		WHEN 7 THEN
		'Julio' 
		WHEN 8 THEN
		'Agosto' 
		WHEN 9 THEN
		'Septiembre' 
		WHEN 10 THEN
		'Octubre' 
		WHEN 11 THEN
		'Noviembre' 
		WHEN 12 THEN
		'Diciembre' 
	END mes,
	CONCAT(
		'Sacaba,  ',
		DAY ( dp.fecha_devolucion ),
		' de ',
	CASE
			MONTH ( dp.fecha_devolucion ) 
			WHEN 1 THEN
			'enero' 
			WHEN 2 THEN
			'febrero' 
			WHEN 3 THEN
			'marzo' 
			WHEN 4 THEN
			'abril' 
			WHEN 5 THEN
			'mayo' 
			WHEN 6 THEN
			'junio' 
			WHEN 7 THEN
			'julio' 
			WHEN 8 THEN
			'agosto' 
			WHEN 9 THEN
			'septiembre' 
			WHEN 10 THEN
			'octubre' 
			WHEN 11 THEN
			'noviembre' 
			WHEN 12 THEN
			'diciembre' 
		END,
		' de ',
		YEAR ( dp.fecha_devolucion ) 
	) AS lf 
  ,
	dp.correlativo
FROM
  derecho_propietario_2 AS dp
  LEFT JOIN socio AS s ON dp.accionista = s.id_Socio
  LEFT JOIN aux AS com ON s.ci_procedencia = com.id_aux
  left JOIN sta_rosa_users ON dp.responsable_devolucion = sta_rosa_users.ID


	where id_derecho_Propietario = $id_derecho_Propietario  
");
while( $row= $rs->fetchAssoc() )
{
$data[] = $row;
}
$config = [
    'driver'=>'array',
    'data'=> $data
];
$parameters = [];


$type = 'Pdf';
$fileOutput= '';
$creator = 'bi-softnet';
$author = 'xbi-softnet@gmail.com';
$title = 'Devolucion';
$keywords = 'PHP';
$format_intl = 'es_ES';

// $temp_file = tempnam(sys_get_temp_dir(), 'pdf');  // Create file temporal
// $fileOutput = $temp_file;

$report = new PHPJasperXML();
$report->load_xml_file($filename)    
    ->setParameter($parameters)
    ->setDataSource($config)
    ->export($type,$fileOutput,$title,$creator,$author,$keywords,$format_intl);

?>
